/* FONT IMPORT */
@import url('https://fonts.googleapis.com/css2?family=Libre+Baskerville:ital,wght@0,400;0,700;1,400&family=Playfair+Display:ital,wght@0,400..900;1,400..900&display=swap');

  
/* -------------------------------------------------------- */
/* VARIABLES */
/* -------------------------------------------------------- */

/* Variables are used like this: var(--text-color) */
:root {
  /* Background Colors: */
  --background-color: #f3e0cb;
  --header-background-color: #010200;
  --content-background-color: #f3e0cb;
  --sidebar-background-color: #f3e0cb;

  /* Text Colors: */
  --text-color: rgb(69, 41, 47);
  --header-title-color: #c34e52;
  --header-text-color: #f3e0cb;
  --sidebar-text-color: #45292f;
  --link-color: #9f1030;
  --link-color-hover: #c34e52;
  --highlight-color: rgba(239, 58, 89, 0.15);
  --blockquote-color: rgba(69, 41, 47, 0.15);

  /* Text: */
  --font: 'Libre Baskerville', sans-serif;
  --heading-font: 'Playfair Display', sans-serif;
  --font-size: 14px;

  /* Other Settings: */
  --margin: 10px;
  --padding: 18px;
  --border: 2px dashed #c34e52;
  --round-borders: 5px;
  --sidebar-width: 300px;
}

/* -------------------------------------------------------- */
/* BASICS */
/* -------------------------------------------------------- */

* {
  box-sizing: border-box;
}

body {
  width: 250px;
  height: 100%;
  font-size: var(--font-size);
  margin: 0;
  padding: 0;
  color: var(--text-color);
  font-family: var(--font);
  line-height: 1.2;
  background-color: var(--sidebar-background-color);
}

::selection {
  /* (Text highlighted by the user) */
  background-color: var(--highlight-color);
}

mark {
  /* Text highlighted by using the <mark> element */
  background-color: var(--highlight-color);
  color: var(--text-color);
}

/* Links: */
a {
  text-decoration: underline;
}

a,
a:visited {
  color: var(--link-color);
}

a:hover,
a:focus {
  color: var(--link-color-hover);
  transition: color 0.2s;
}

/* -------------------------------------------------------- */
/* SIDEBARS */
/* -------------------------------------------------------- */

.left-sidebar {
  grid-area: leftSidebar;
}

.right-sidebar {
  grid-area: rightSidebar;
}

.sidebar-title {
  font-weight: 900;
  font-size: 1.4em;
  font-family: var(--heading-font);
  margin-bottom: -5px;
}

.sidebar-section:not(:last-child) {
  margin-bottom: 1.3em;
}

.sidebar-section ul,
.sidebar-section ol {
  padding-left: 1.5em;
}

.sidebar-section > *:not(p):not(ul):not(ol):not(blockquote) {
  margin-top: 10px;
}

/* Sidebar Blockquote: */

.sidebar-section blockquote {
  background: var(--blockquote-color);
  padding: 15px;
  margin: 1em 0;
  border-radius: 10px;
  overflow: hidden;
}

.sidebar-section blockquote > *:first-child {
  margin-top: 0;
}

.sidebar-section blockquote > *:last-child {
  margin-bottom: 0;
}

hr {
  border: 0;
  border-top: var(--border);
  margin: 0;
}

/* -------------------------------------------------------- */
/* NAVIGATION */
/* -------------------------------------------------------- */

nav {
  margin-bottom: 1.1em;
}

nav .sidebar-title {
  margin-bottom: 0.2em;
}

nav ul {
  margin: 0 -5px;
  padding: 0;
  list-style: none;
  user-select: none;
}

nav ul li {
  margin-bottom: -3px;
}

nav > ul li > a,
nav > ul li > strong {
  display: inline-block;
}

nav > ul li > a,
nav > ul li > details summary,
nav > ul li > strong {
  padding: 5px 10px;
}

nav > ul li > a.active,
nav > ul li > details.active summary {
  font-weight: bold;
}

nav ul summary {
  cursor: pointer;
}

nav ul ul li > a {
  padding-left: 30px;
}

.updates {
    height: 100px;
    background-color: var(--blockquote-color);
    padding: 0 var(--padding);
    margin: var(--margin);
    border-radius: var(--round-borders);
    overflow: auto;
}

::-webkit-scrollbar {
  width: 3px;
}

::-webkit-scrollbar-thumb {
    background-color: var(--header-title-color);
    border-radius: 10px;
}

.updates::-webkit-scrollbar-thumb {
    background-color: var(--sidebar-text-color);
}